<?php

namespace NMGR\Int;

use NmeriMedia\V2\Strings;

defined( 'ABSPATH' ) || exit;

class Nmerimedia_Strings extends Strings {

	public function get_pro() {
		return __( 'Get PRO', 'nm-gift-registry-lite' );
	}

	public function pro() {
		return __( 'PRO', 'nm-gift-registry-lite' );
	}

	public function nmeri_media() {
		return nmgr()->is_pro ?
			__( 'Nmeri Media', 'nm-gift-registry' ) :
			__( 'Nmeri Media', 'nm-gift-registry-lite' );
	}

	public function docs() {
		return nmgr()->is_pro ?
			__( 'Docs', 'nm-gift-registry' ) :
			__( 'Docs', 'nm-gift-registry-lite' );
	}

	public function review() {
		return nmgr()->is_pro ?
			__( 'Review', 'nm-gift-registry' ) :
			__( 'Review', 'nm-gift-registry-lite' );
	}

	public function support() {
		return nmgr()->is_pro ?
			__( 'Support', 'nm-gift-registry' ) :
			__( 'Support', 'nm-gift-registry-lite' );
	}

	public function settings_saved() {
		return nmgr()->is_pro ?
			__( 'Settings saved.', 'nm-gift-registry' ) :
			__( 'Settings saved.', 'nm-gift-registry-lite' );
	}

	public function get_pro_notice() {
		return __( 'You are using the free version of the plugin. Get the pro version to enable these features and more:', 'nm-gift-registry-lite' );
	}

	public function nmerimedia_licenses() {
		return __( 'NM Gift Registry Licenses', 'nm-gift-registry' );
	}

	public function licenses() {
		return __( 'Licenses', 'nm-gift-registry' );
	}

	public function name() {
		return __( 'Name', 'nm-gift-registry' );
	}

	public function current_version() {
		return __( 'Current version', 'nm-gift-registry' );
	}

	public function license_key() {
		return __( 'License key', 'nm-gift-registry' );
	}

	public function enter_license_key() {
		return __( 'Enter license key', 'nm-gift-registry' );
	}

	public function activate() {
		return __( 'Activate', 'nm-gift-registry' );
	}

	public function no_license_verification_results_returned() {
		return __( 'No license verification results returned', 'nm-gift-registry' );
	}

	public function update_disabled_notice() {
		/* translators: 1: Lcenses page url, 2: Buy license url */
		return __( 'You cannot update the plugin as you do not have a verified license. <a href="%1$s">Please enter your license key here</a> or <a href="%2$s" target="__blank">buy one now</a>.', 'nm-gift-registry' );
	}

	public function close() {
		return nmgr()->is_pro ?
			__( 'Close', 'nm-gift-registry' ) :
			__( 'Close', 'nm-gift-registry-lite' );
	}

	public function toggle_dropdown() {
		return nmgr()->is_pro ?
			__( 'Toggle Dropdown', 'nm-gift-registry' ) :
			__( 'Toggle Dropdown', 'nm-gift-registry-lite' );
	}

	public function get_more_plugins() {
		return nmgr()->is_pro ?
			__( 'Get more plugins...', 'nm-gift-registry' ) :
			__( 'Get more plugins...', 'nm-gift-registry-lite' );
	}

	public function back() {
		return nmgr()->is_pro ?
			__( 'Back', 'nm-gift-registry' ) :
			__( 'Back', 'nm-gift-registry-lite' );
	}

	public function next() {
		return nmgr()->is_pro ?
			__( 'Next', 'nm-gift-registry' ) :
			__( 'Next', 'nm-gift-registry-lite' );
	}

	public function cancel() {
		return nmgr()->is_pro ?
			__( 'Cancel', 'nm-gift-registry' ) :
			__( 'Cancel', 'nm-gift-registry-lite' );
	}

	public function save() {
		return nmgr()->is_pro ?
			__( 'Save', 'nm-gift-registry' ) :
			__( 'Save', 'nm-gift-registry-lite' );
	}

}
