<?php

/**
 * Plugin Name: NM Gift Registry and Wishlist Lite
 * Plugin URI: https://nmerimedia.com
 * Description: Advanced and highly customizable gift registry and wishlist plugin for your woocommerce store. <a href="https://nmerimedia.com/product/nm-gift-registry" target="_blank"><strong>Get PRO</strong></a> | <a href="https://nmerimedia.com/product-category/plugins/" target="__blank"><strong>See more plugins&hellip;</strong></a>
 * Author: Nmeri Media
 * Author URI: https://nmerimedia.com
 * License: GPL V3 or later
 * License URI: https://www.gnu.org/licenses/gpl-3.0.html\v1
 * Version: 4.2.1
 * Text Domain: nm-gift-registry-lite
 * Domain Path: /languages/
 * Nmerimedia Review URI: https://wordpress.org/support/plugin/nm-gift-registry-and-wishlist-lite/reviews?rate=5#new-post
 * Nmerimedia Docs URI: https://docs.nmerimedia.com/doc/nm-gift-registry-and-wishlist/
 * Nmerimedia Product URI: https://nmerimedia.com/product/nm-gift-registry
 * Nmerimedia Support URI: https://nmerimedia.com/contact/
 * Requires at least: 4.7
 * Requires PHP: 7.0
 * WC requires at least: 4.3.0
 * WC tested up to: 7.5.1
 */
defined( 'ABSPATH' ) || exit;

define( 'NMGRLITE_FILE', __FILE__ );

/**
 * The current wishlist template being viewed
 *
 * (Still experimental. For internal use only)
 *
 * This plugin uses multiple templates which are sometimes nested inside each other
 * so the current wishlist template being viewed may not be the actual template being searched for,
 * rather it may be a child or parent template of  it. As a result of this, the variable may not be accurate
 * For this reason, this variable and all functions related to it must be used with caution.
 *
 * @since 2.2.0
 * @global string $nmgr_template
 */
$nmgr_template = '';

if ( !class_exists( 'NmeriMedia\V2\Autoload' ) ) {
	require_once 'nmerimedia/v2/Autoload.php';
}

NmeriMedia\V2\Autoload::add_namespace( 'NMGR\\', __DIR__ . '/includes' );
NmeriMedia\V2\Autoload::run();

if ( !class_exists( 'NMGR_Installer' ) ) {
	include_once 'includes/class-nmgr-installer.php';
}

class NMGR_Lite_Install extends NMGR_Installer {

	use \NmeriMedia\V2\Traits\Instance;

	public $requires_wc = '4.3.0';
	public $plugin_prefix = 'nmgrlite';

	public function __construct() {
		parent::__construct( __FILE__ );
	}

}

function nm_gift_registry_lite() {
	return NMGR_Lite_Install::get_instance();
}

nm_gift_registry_lite()->load();

