<?php
/**
 * Call to action to create profile for new wishlists
 *
 * A profile needs to be created for a wishlist to exist
 *
 * @link https://docs.nmerimedia.com/nm-gift-registry-and-wishlist/overriding-templates/
 * @version 4.1.0
 * @sync
 */
defined( 'ABSPATH' ) || exit;
?>


<div class="nmgr-call-to-action-no-wishlist nmgr-text-center">
	<?php
	$no_wishlist_cta = '<h4>' . sprintf(
			/* translators: %s: wishlist type title */
			nmgr()->is_pro ? __( 'Get started with creating your %s profile', 'nm-gift-registry' ) : __( 'Get started with creating your %s profile', 'nm-gift-registry-lite' ),
			nmgr_get_type_title()
		) . '</h4>';

	switch ( $section ) {
		case 'create_wishlist':
			echo '<h4>' . nmgr_get_add_items_text() . '</h4>';
			echo nmgr_get_add_items_link();
			break;

		case 'create_gift-registry':
			$text = sprintf(
				/* translators: %s: wishlist type title */
				nmgr()->is_pro ? __( 'Create %s.', 'nm-gift-registry' ) : __( 'Create %s.', 'nm-gift-registry-lite' ),
				nmgr_get_type_title( 'c' )
			);
			echo '<h4>' . esc_html( $text ) . '</h4>';
			echo '<a class="button nmgr-call-to-action-btn" href="' . nmgr_get_url( 'gift-registry', 'new' ) . '">' .
			esc_html( nmgr()->is_pro ?
					__( 'Add new', 'nm-gift-registry' ) :
					__( 'Add new', 'nm-gift-registry-lite' )  ) .
			'</a>';
			break;

		case 'items':
			echo '<h4>' . esc_html( nmgr()->is_pro ?
					__( 'No items yet.', 'nm-gift-registry' ) :
					__( 'No items yet.', 'nm-gift-registry-lite' )
			) . '<br>' .
			sprintf(
				/* translators: %s: wishlist type title */
				esc_html( nmgr()->is_pro ? __( 'Save this %s before you can start adding items to it.', 'nm-gift-registry' ) : __( 'Save this %s before you can start adding items to it.', 'nm-gift-registry-lite' )  ),
				esc_html( nmgr_get_type_title() )
			);
			break;

		case 'messages':
			echo '<h4>' . esc_html__( 'No messages yet.', 'nm-gift-registry' ) . '<br>' .
			sprintf(
				/* translators: %s: wishlist type title */
				esc_html__( 'Messages appear here when they have been sent from the checkout page by customers who buy items from this %s.', 'nm-gift-registry' ),
				esc_html( nmgr_get_type_title() )
			);
			break;

		case 'orders':
			echo '<h4>' . esc_html__( 'No orders yet.', 'nm-gift-registry' ) . '<br>' .
			sprintf(
				/* translators: %s: wishlist type title */
				esc_html__( 'Orders appear here when customers have purchased items from this %s.', 'nm-gift-registry' ),
				esc_html( nmgr_get_type_title() )
			);
			break;

		default:
			do_action( 'nmgr_default_account_call_to_action_text', $section, $no_wishlist_cta, $wishlist );
			break;
	}
	?>
</div>