<?php
/**
 * Wishlist images
 *
 * @link https://docs.nmerimedia.com/nm-gift-registry-and-wishlist/overriding-templates/
 * @version 4.1.0
 *
 * $images_args argument is deprecated. Will be removed in future version.
 */
defined( 'ABSPATH' ) || exit;
?>

<div <?php echo nmgr_format_attributes( $attributes ); ?>>

	<?php
	if ( !$wishlist ):

		echo nmgr_get_default_account_section_content( 'images', $wishlist );

	else:

		do_action( 'nmgr_before_images', $wishlist, $images_args );

		$is_archived = is_callable( [ $wishlist, 'is_archived' ] ) ? $wishlist->is_archived() : false;
		?>

		<form id="nmgr-images-form" class="nmgr-images-wrapper" method="POST">
			<fieldset <?php echo $is_archived ? 'disabled' : ''; ?>>

				<?php if ( $show_background ) : ?>
					<div class="background-image-wrapper">
						<div class="nmgr-bg nmgr-wrapper"
								 style="<?php
								 echo $wishlist->get_background_image_url() ?
									 'background-image:url(' . esc_url( $wishlist->get_background_image_url() ) . ');' : '';
								 ?>"
								 data-image_id="<?php echo absint( $wishlist->get_background_image_id() ); ?>"
								 data-context="background">
									 <?php do_action( 'nmgr_background_image_content', $wishlist, $images_args ); ?>
						</div>
					</div>
				<?php endif; ?>

				<?php if ( $show_featured ) : ?>
					<div class="featured-image-wrapper">
						<div class="nmgr-thumbnail nmgr-wrapper"
								 data-image_id="<?php echo absint( $wishlist->get_thumbnail_id() ); ?>"
								 data-context="featured">
									 <?php do_action( 'nmgr_featured_image_content', $wishlist, $images_args ); ?>
							<div class="preview">
								<?php echo $wishlist->get_thumbnail(); ?>
							</div>
						</div>
					</div>
				<?php endif; ?>
			</fieldset>
		</form>

		<?php
		do_action( 'nmgr_after_images', $wishlist, $images_args );
	endif;
	?>

</div>
