<?php
/**
 * Wishlist item purchased quantity
 *
 * @link https://docs.nmerimedia.com/nm-gift-registry-and-wishlist/overriding-templates/
 * @version 4.0.0
 * @sync
 */
defined( 'ABSPATH' ) || exit;

$purchased_quantity = $item->get_purchased_quantity();

$pq_text = nmgr()->is_pro ?
	__( 'Purchased quantity', 'nm-gift-registry' ) :
	__( 'Purchased quantity', 'nm-gift-registry-lite' );
?>

<div>
	<div class="nmgr-tip" title="<?php echo esc_attr( $pq_text ); ?>">
		<?php
		if ( nmgr()->is_pro && 'grid' === $view->get_display()[ 'mode' ] ) {
			echo nmgr_get_svg( array( // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
				'icon' => 'cart-full',
				'size' => 1,
				'fill' => '#bbb',
				'class' => 'align-with-text',
			) ) . ' ';
		}

		echo wp_kses_post( apply_filters( 'nmgr_item_purchased_quantity_display', $purchased_quantity, $item ) );
		?>
	</div>
</div>