<?php
/**
 * Wishlist item desired quantity
 *
 * @link https://docs.nmerimedia.com/nm-gift-registry-and-wishlist/overriding-templates/
 * @version 4.1.0
 * @sync
 */
defined( 'ABSPATH' ) || exit;

$desired_qty_text = nmgr()->is_pro ?
	__( 'Desired quantity', 'nm-gift-registry' ) :
	__( 'Desired quantity', 'nm-gift-registry-lite' );
?>

<div>
	<div class="nmgr-tip" title="<?php echo esc_attr( $desired_qty_text ); ?>">
		<?php
		if ( nmgr()->is_pro && 'grid' === $view->get_display()[ 'mode' ] ) {
			echo nmgr_get_svg( array( // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
				'icon' => 'cart-empty',
				'size' => 1,
				'fill' => '#bbb',
				'class' => 'align-with-text',
			) ) . ' ';
		}

		$can_archive_item = method_exists( $item, 'is_archived' );

		if ( !$view->is_public() && (!$can_archive_item || ($can_archive_item && !$item->is_archived())) ) :
			?>
			<input type="number"
						 step="1"
						 placeholder="0"
						 autocomplete="off"
						 size="4"
						 class="quantity"
						 value="<?php echo esc_attr( $quantity ); ?>"
						 data-item_id="<?php echo ( int ) $item->get_id(); ?>"
						 data-qty="<?php echo esc_attr( $quantity ); ?>"
						 name="wishlist_item_qty[<?php echo absint( $item->get_id() ); ?>]"
						 min="<?php echo esc_attr( apply_filters( 'nmgr_quantity_input_min', $product->get_min_purchase_quantity(), $product ) ); ?>"
						 max="<?php
						 echo esc_attr( apply_filters( 'nmgr_quantity_input_max',
								 ($product->backorders_allowed() ? '' : $product->get_stock_quantity() ),
								 $product ) );
						 ?>"
						 />
						 <?php
					 else :
						 echo ( int ) $quantity;
					 endif;
					 ?>
	</div>
</div>
