<?php
/**
 * Wishlist item title
 *
 * @link https://docs.nmerimedia.com/nm-gift-registry-and-wishlist/overriding-templates/
 * @version 4.0.0
 * @sync
 */
defined( 'ABSPATH' ) || exit;

$sku_text = nmgr()->is_pro ?
	__( 'SKU:', 'nm-gift-registry' ) :
	__( 'SKU:', 'nm-gift-registry-lite' );

$variation_id_text = nmgr()->is_pro ?
	__( 'Variation ID:', 'nm-gift-registry' ) :
	__( 'Variation ID:', 'nm-gift-registry-lite' );

$vid_exists_text = sprintf(
	/* translators: %s: variation id */
	nmgr()->is_pro ? __( '%s (No longer exists)', 'nm-gift-registry' ) : __( '%s (No longer exists)', 'nm-gift-registry-lite' ),
	$item->get_variation_id()
);
?>

<div>

	<?php
	echo $product_link ?
		'<a href="' . esc_url( $product_link ) . '">' . wp_kses_post( $product->get_name() ) . '</a>' :
		wp_kses_post( $product->get_name() );

	do_action( 'nmgr_item_view_after_title', $args );

	echo str_replace( array( '<p', '</p>' ), array( '<div', '</div>' ), wc_get_stock_html( $product ) );

	if ( $product->get_sku() ) {
		echo '<div class="sku meta-item"><strong>' .
		esc_html( $sku_text ) .
		'</strong> ' . esc_html( $product->get_sku() ) . '</div>';
	}

	if ( !$view->is_public() && $item->get_variation_id() ) {
		echo '<div class="variation-id meta-item"><strong>' . esc_html( $variation_id_text ) . '</strong> ';

		if ( 'product_variation' === get_post_type( $item->get_variation_id() ) ) {
			echo esc_html( $item->get_variation_id() );
		} else {
			echo esc_html( $vid_exists_text );
		}
		echo '</div>';
	}

	if ( !empty( $item->get_variations_for_display() ) ) :
		?>
		<ul class="variations meta-item">
			<?php foreach ( $item->get_variations_for_display() as $variation ) :
				?>
				<li class="nmgr-item-variation <?php echo esc_attr( $variation[ 'key' ] ); ?>">
					<strong><?php echo wp_kses_post( $variation[ 'key' ] ); ?>:</strong>
					<?php echo wp_kses_post( force_balance_tags( $variation[ 'value' ] ) ); ?>
				</li>
			<?php endforeach; ?>
		</ul>
	<?php endif;
	?>
	<input type="hidden" class="wishlist_item_id" name="wishlist_item_id[]" value="<?php echo esc_attr( $item->get_id() ); ?>" />


	<?php do_action( 'nmgr_item_view_title_end', $args ); ?>
</div>
