<?php
/**
 * Wishlist items total cost
 *
 * @link https://docs.nmerimedia.com/nm-gift-registry-and-wishlist/overriding-templates/
 * @version 3.0.0
 * @sync
 */
defined( 'ABSPATH' ) || exit;
?>

<div class="nmgr-after-table-row items-total-cost nmgr-data-row-toggle">
	<?php if ( !empty( $rows ) ) : ?>
		<table id="nmgr-items-total-table" class="total">
			<?php
			foreach ( $rows as $key => $row ) :
				$class = [ 'nmgr-row', 'nmgr-row-' . $key ];

				if ( !empty( $row[ 'class' ] ) ) {
					$class = array_merge( ( array ) $row[ 'class' ], $class );
				}
				?>
				<tr class="<?php echo implode( ' ', $class ); ?>">
					<td class="nmgr-label"><?php echo wp_kses( $row[ 'label' ], nmgr()->allowed_svg_tags() ); ?></td>
					<td width="1%"></td>
					<td class="nmgr-cell-<?php echo esc_attr( $key ); ?>">
						<?php echo wp_kses( $row[ 'content' ], nmgr()->allowed_post_tags() ); ?>
					</td>
				</tr>
			<?php endforeach; ?>
		</table>
	<?php endif; ?>
</div>