<?php
/**
 * Wishlist profile form
 *
 * @link https://docs.nmerimedia.com/nm-gift-registry-and-wishlist/overriding-templates/
 * @version 4.1.0
 * @sync
 */
defined( 'ABSPATH' ) || exit;
?>

<div <?php echo nmgr_format_attributes( $attributes ); ?>>

	<?php
	do_action( 'nmgr_before_profile', $wishlist );

	$is_archived = is_callable( [ $wishlist, 'is_archived' ] ) ? $wishlist->is_archived() : false;
	?>

	<form id="nmgr-profile-form" class="nmgr-form" method="POST">
		<fieldset <?php echo $is_archived ? 'disabled' : ''; ?>>
			<?php
			// phpcs:disable WordPress.Security.EscapeOutput.OutputNotEscaped
			echo $form->get_fields_html( 'profile' );
			echo $form->get_hidden_fields();
			echo $form->get_submit_button( 'profile' );
			// phpcs:enable
			?>
		</fieldset>
	</form>

	<?php do_action( 'nmgr_after_profile', $wishlist ); ?>

</div>
