<?php
/**
 * Wishlist settings form
 *
 * @link https://docs.nmerimedia.com/nm-gift-registry-and-wishlist/overriding-templates/
 * @version 4.1.0
 */
defined( 'ABSPATH' ) || exit;
?>

<div <?php echo nmgr_format_attributes( $attributes ); ?>>

	<?php
	do_action( 'nmgr_before_settings', $wishlist );

	$is_archived = is_callable( [ $wishlist, 'is_archived' ] ) ? $wishlist->is_archived() : false;

	$seperated_fields = [ 'delete_wishlist' ];
	?>

	<form method="post" id="nmgr-settings-form" class="nmgr-form">
		<fieldset <?php echo $is_archived ? 'disabled' : ''; ?>>
			<?php
			// phpcs:disable WordPress.Security.EscapeOutput.OutputNotEscaped
			echo $form->get_fields_html( 'settings', $seperated_fields );

			if ( $form->has_fields() ) {
				echo $form->get_hidden_fields();
				echo $form->get_submit_button( 'settings' );
			}
			// phpcs:enable
			?>
		</fieldset>
	</form>

	<?php
	if ( !$is_archived ) :
		$sep_html = $form->get_fields_html( $seperated_fields );
		if ( $form->has_fields() ) :
			?>
			<div class="nmgr-separated-settings-section">
				<form method="post" id="nmgr-separated-settings-form">
					<?php
					echo $sep_html;
					echo $form->get_hidden_fields();
					?>
					<input type="hidden" name="nmgr_separated_settings_form" value="1">
				</form>
			</div>

			<script>
				document.addEventListener('DOMContentLoaded', function () {
					jQuery('input#nmgr_delete_wishlist').on('change', function () {
						if (this.dataset.notice && !window.confirm(this.dataset.notice)) {
							this.checked = !this.checked;
							return false;
						}
						this.closest('form').submit();
					});
				}, false);
			</script>
			<?php
		endif;
	endif;
	?>


	<?php
	do_action( 'nmgr_after_wishlist_settings', $wishlist );
	?>

</div>

