<?php
/**
 * Wishlist shipping form
 *
 * @link https://docs.nmerimedia.com/nm-gift-registry-and-wishlist/overriding-templates/
 * @version 4.1.0
 * @sync
 */
defined( 'ABSPATH' ) || exit;
?>

<div <?php echo nmgr_format_attributes( $attributes ); ?>>

	<?php
	do_action( 'nmgr_before_shipping', $wishlist );

	$is_archived = is_callable( [ $wishlist, 'is_archived' ] ) ? $wishlist->is_archived() : false;
	?>

	<form id="nmgr-shipping-form" class="nmgr-form" method="POST">
		<fieldset <?php echo $is_archived ? 'disabled' : ''; ?>>
			<?php
			if ( $customer &&
				((method_exists( $customer, 'has_shipping_address' ) && $customer->has_shipping_address()) ||
				$customer->get_shipping_address())
			) {
				nmgr_show_copy_shipping_address_btn( $customer->get_shipping() );
			}
			?>

			<div class="wishlist-shipping-address">
				<div class="woocommerce-address-fields">
					<div class="woocommerce-address-fields__field-wrapper">
						<?php
						// phpcs:disable WordPress.Security.EscapeOutput.OutputNotEscaped
						echo $form->get_fields_html( 'shipping' );
						echo $form->get_hidden_fields();
						echo $form->get_submit_button( 'shipping' );
						// phpcs:enable
						?>
					</div>
				</div>
			</div>

		</fieldset>
	</form>

	<?php
	do_action( 'nmgr_after_shipping', $wishlist );
	?>

</div>
