<?php
/**
 * The template for displaying the add to wishlist form on product archive and single pages
 *
 * @link https://docs.nmerimedia.com/nm-gift-registry-and-wishlist/overriding-templates/
 * @version 4.0.0
 * @sync
 */
defined( 'ABSPATH' ) || exit;

global $product;
?>

<div class="nmgr-add-to-wishlist-wrapper <?php echo esc_attr( $wrapper_class ); ?>">

	<?php do_action( 'nmgr_before_add_to_wishlist_form', $args ); ?>

	<form class="<?php echo esc_attr( $form_class ); ?>"
				method="<?php echo esc_attr( isset( $permalink ) ? 'get' : 'post'  ); ?>"
				action="<?php echo isset( $permalink ) ? esc_url( $permalink ) : ''; ?>"
				aria-haspopup="dialog"
				aria-expanded="false"
				<?php echo $form_attributes; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>>

		<?php do_action( 'nmgr_add_to_wishlist_form_start', $args ); ?>

		<?php echo nmgr_kses_post( $button ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>

		<?php
		// If we're using the button as an anchor, simply print the anchor
		if ( isset( $permalink ) ) :

			if ( isset( $permalink_args ) ) :
				foreach ( $permalink_args as $key => $value ) {
					printf( '<input type="hidden" name="%1$s" value="%2$s">', esc_attr( $key ), esc_attr( $value ) );
				}
			endif;

		// Else print the add to wishlist form
		else:

			if ( 'simple' === $mode ) {
				$shipping_address_required = $wishlist && $wishlist->needs_shipping_address() ? 1 : 0;
				?>
				<input type="hidden"
							 name="nmgr_wid"
							 value="<?php echo $wishlist ? absint( $wishlist->get_id() ) : 0; ?>"
							 data-shipping-address-required="<?php echo $shipping_address_required; ?>" />
							 <?php
						 }
						 ?>

			<input type="hidden" name="nmgr_pid" value="<?php echo absint( $product->get_id() ); ?>" />
			<input type="hidden" name="nmgr_type" value="<?php echo esc_attr( $args[ 'type' ] ); ?>" />
			<input type="hidden" name="nmgr_atw_mode" value="<?php echo esc_attr( $args[ 'mode' ] ); ?>" />

			<?php if ( !is_nmgr_shop_loop() && $product->is_type( 'variable' ) ): ?>
				<input type="hidden" name="nmgr_vid" value="0" />
				<input type="hidden" name="nmgr_wc_form_values" value="" />
			<?php endif; ?>

		<?php endif; ?>

		<?php do_action( 'nmgr_add_to_wishlist_form_end', $args ); ?>

	</form>

	<?php do_action( 'nmgr_after_add_to_wishlist_form', $args ); ?>

</div>
