<?php
/**
 * Template for displaying items in user's wishlists in cart-like fashion
 *
 * @link https://docs.nmerimedia.com/nm-gift-registry-and-wishlist/overriding-templates/
 * @version 4.2.0
 * @sync
 */
defined( 'ABSPATH' ) || exit;
?>

<div id="nmgr-cart-<?php echo rand(); ?>" class="nmgr-cart" data-type="<?php echo esc_attr( $type ); ?>">
	<a href="<?php echo esc_url( $url ); ?>"
		 title="<?php
		 printf(
			 /* translators %s: wishlist type title */
			 esc_attr( nmgr()->is_pro ? __( 'View your %s items', 'nm-gift-registry' ) : __( 'View your %s items', 'nm-gift-registry-lite' )  ),
			 esc_attr( nmgr_get_type_title( '', false, $type ) )
		 );
		 ?>"
		 class="nmgr-show-cart-contents">
			 <?php
			 $svg = array(
				 'icon' => 1 > ( int ) $cart_qty ? 'heart-empty' : 'heart',
				 'size' => 2,
				 'fill' => 'currentColor',
			 );

			 echo wp_kses( nmgr_get_svg( $svg ), nmgr()->allowed_post_tags() );
			 ?>
		</span>
		<span class="count"><?php echo absint( $cart_qty ); ?></span>
	</a>
</div>
