<?php
/**
 * Template for displaying content in a dialog window
 *
 * @link https://docs.nmerimedia.com/nm-gift-registry-and-wishlist/overriding-templates/
 * @version 3.0.0
 * @sync
 */
defined( 'ABSPATH' ) || exit;
global $nmgr;

$close_button = '<button type="button" class="btn-close" data-dismiss="modal" aria-label="Close"></button>';


do_action( 'nmgr_before_dialog', $args );
?>

<?php if ( $show_header ) : ?>
	<div class="modal-header">

		<?php if ( $title ) : ?>
			<h4 class="modal-title"><?php echo esc_html( $title ); ?></h4>
		<?php endif; ?>

		<?php
		if ( $show_header_close_button ) {
			echo $close_button;
		}
		?>

	</div>
<?php endif; ?>

<div class="modal-body">
	<?php
	if ( $show_body_close_button ) {
		echo $close_button;
	}

	echo $content;
	?>
</div>

<?php if ( $footer ) : ?>
	<div class="modal-footer">
		<?php echo $footer; ?>
	</div>
	<?php
endif;

do_action( 'nmgr_after_dialog', $args );
