<?php
/**
 * Form for searching wishlists on the frontend
 *
 * @link https://docs.nmerimedia.com/nm-gift-registry-and-wishlist/overriding-templates/
 * @version 3.0.3
 * @sync
 */
defined( 'ABSPATH' ) || exit;
?>

<form role="search" method="get" class="nmgr-search-form" action="<?php echo esc_url( $form_action ); ?>">
	<label class="screen-reader-text" for="<?php echo esc_attr( $input_name ); ?>">
		<?php
		echo esc_html( nmgr()->is_pro ?
				__( 'Search for:', 'nm-gift-registry' ) :
				__( 'Search for:', 'nm-gift-registry-lite' )
		);
		?>
	</label>
	<input type="search"
				 class="search-field"
				 placeholder="<?php echo esc_attr( $input_placeholder ); ?>"
				 value="<?php echo esc_attr( stripslashes( $input_value ) ); ?>"
				 <?php echo (!empty( $input_required )) ? 'required' : ''; ?>
				 name="<?php echo esc_attr( $input_name ); ?>" />
				 <?php if ( $submit_button_text ) : ?>
		<button type="submit">
			<?php echo esc_html( $submit_button_text ); ?>
		</button>
	<?php endif; ?>
	<?php
	if ( isset( $hidden_fields ) && !empty( $hidden_fields ) ) :
		foreach ( $hidden_fields as $key => $value ) :
			?>
			<input type="hidden"
						 name="<?php echo esc_html( $key ); ?>"
						 value="<?php echo esc_html( $value ); ?>" />
						 <?php
					 endforeach;
				 endif;
				 ?>
</form>
